Subject: Re: Command-line interface thoughts (ad-hominem attacks)

From: Jakub Narebski <[email-masked]>
Date: Wed, 8 Jun 2011 14:42:37 +0200

On Wed, Jun 8, 2011, Michael Nahas wrote:
> On Wed, Jun 8, 2011 at 7:12 AM, Jakub Narebski <[email-masked]> wrote:

> > I don't quite think that we need "git diff NEXT WTREE"; the short
> > and sweet "git diff" is short for a reason,
> 
> To be clear, I'm not advocating and have never advocated getting rid
> of zero-argument "git diff".  I've advocated that every (whole
> project) diff command should be expressible by a "git diff TREE1
> TREE2".  I'm fine with defaults if one or zero trees are specified.

Those pseudo-almost-refs (almost-tree-ish) are to help new users, isn't it?
But shouldn't new user learn that he/she should use "git diff" to review
his changes, rather than use "git diff NEXT WTREE" to compare staged
contents with working area?

> So "git diff" would default to "git diff NEXT WTREE".

You mean that "git diff NEXT WTREE" output be the same as "git diff",
except for corner cases (merge conflict), isn't it?

-- 
Jakub Narebski
Poland